<?xml version="1.0" encoding="GB2312"?>
<PPConfig>
	<Mode name="davinci_front" switcher="1" >
		<PPAlgo name="PortraitEnhance" />
	</Mode>
	<Mode name="dfcalibtest" switcher="0" >
		<PPAlgo name="DFCalibTestPpAlgo" />
	</Mode>
	<Mode name="davinci_rear" switcher="1" >
		<PPAlgo name="PortraitEnhance" />
	</Mode>
	<Mode name="colorfusion" switcher="0" >
		<PPAlgo name="colorfusiondsp" />
	</Mode>
	<!-- Every Snapshot can be configured as ON or OFF. -->
	<!-- Every Snapshot can have one or more algothirms(PPAlgo). -->
	<!-- Algo order is important. -->
	<!-- If the order is Davinci and HDR, then every frame will be denoised by Davinci algothirm firstly, then HDR. -->
	<!-- If the order is HDR and Davinci, then HDR firstly, the result frame will be denoised by Davinci. -->
	<Mode name="hdr" switcher="1">
        <PPAlgo name="hdrdsp" />
        <PPAlgo name="PortraitEnhance" />
        <PPAlgo name="sr" />
    </Mode>
	<Mode name="frontbeautyHdrplite" switcher="0">
		<PPAlgo name="RawhdrDsp" />
		<PPAlgo name="frontbokehmask" />
		<PPAlgo name="faceModel" />
		<PPAlgo name="hwFaceAttrPpAlgo" />
		<PPAlgo name="davincidsp" />
		<PPAlgo name="casioBeautyPpAlgo" />
	</Mode>
	<Mode name="frontHdrplite" switcher="0">
		<PPAlgo name="RawhdrDsp" />
		<PPAlgo name="frontbokehmask" />
		<PPAlgo name="davincidsp" />
	</Mode>
	<Mode name="jpghdr" switcher="0">
		<PPAlgo name="JpegHdrdsp" />
		<PPAlgo name="sr" />
	</Mode>
	<Mode name="rawhdr" switcher="0">
		<PPAlgo name="RawhdrDsp" />
		<PPAlgo name="PortraitEnhance" />
	</Mode>
	<Mode name="hdrplite" switcher="0">
		<PPAlgo name="RawhdrDsp" />
		<PPAlgo name="PortraitEnhance" />
	</Mode>
	<Mode name="smart_hdr_rear" switcher="1">
		<PPAlgo name="hdrdsp" />
		<PPAlgo name="PortraitEnhance" />
		<PPAlgo name="sr" />
	</Mode>
	<Mode name="smart_hdr_front" switcher="0">
		<PPAlgo name="frontbokehmask" />
		<PPAlgo name="hdrdsp" />
		<PPAlgo name="PortraitEnhance" />
		<PPAlgo name="davincidsp" />
		<PPAlgo name="sr" />
	</Mode>
	<Mode name="digitalzoom" switcher="0">
		<PPAlgo name="digitalzoom" />
	</Mode>
	<Mode name="multidenoise" switcher="1">
		<PPAlgo name="multidenoisedsp" />
		<PPAlgo name="PortraitEnhance" />
	</Mode>
	<Mode name="burstshot" switcher="1">
	</Mode>
	<Mode name="bestshot" switcher="1">
		<PPAlgo name="bestshot" />
	</Mode>
	<Mode name="beauty_front_extisp" switcher="1">
		<PPAlgo name="PortraitEnhance" />
        <PPAlgo name="HwBeautyPpAlgo" />
	</Mode>
	<Mode name="beauty_front_noneextisp" switcher="1">
		<PPAlgo name="PortraitEnhance" />
        <PPAlgo name="HwBeautyPpAlgo" />
	</Mode>
	<Mode name="beauty_rear_extisp" switcher="1">
		<PPAlgo name="PortraitEnhance" />
        <PPAlgo name="HwBeautyPpAlgo" />
	</Mode>
	<Mode name="beauty_rear_noneextisp" switcher="1">
		<PPAlgo name="PortraitEnhance" />
        <PPAlgo name="HwBeautyPpAlgo" />
	</Mode>
	<Mode name="self_portrait_noface" switcher="1">
		<PPAlgo name="HwBeautyPpAlgo" />
	</Mode>
	<Mode name="self_portrait" switcher="1">
		<PPAlgo name="PortraitEnhance" />
        <PPAlgo name="refocus" />
        <PPAlgo name="HwBeautyPpAlgo" />
	</Mode>
	<Mode name="sensorhdr" switcher="0">
	</Mode>
	<Mode name="sensorhdr_beauty" switcher="0">
		<PPAlgo name="faceModel" />
		<PPAlgo name="hwFaceAttrPpAlgo" />
		<PPAlgo name="casioBeautyPpAlgo" />
	</Mode>
	<Mode name="edof" switcher="1">
		<PPAlgo name="refocus" />
	</Mode>
	<Mode name="superportrait_edof" switcher="0">
		<PPAlgo name="PortraitEnhance" />
		<PPAlgo name="casioBeautyPpAlgo" />
		<PPAlgo name="refocus" />
	</Mode>
	<Mode name="fairlight_rear" switcher="1">
		<PPAlgo name="PortraitEnhance" />
		<PPAlgo name="faceModel" />
		<PPAlgo name="HwBeautyPpAlgo" />
        <PPAlgo name="fairlightV2" />
	</Mode>
	<Mode name="fairlight_front" switcher="1">
		<PPAlgo name="faceModel" />
		<PPAlgo name="HwBeautyPpAlgo" />
        <PPAlgo name="fairlightV2" />
	</Mode>
	<Mode name="fairlight_frontbokeh" switcher="1">
		<PPAlgo name="frontbokehmask" />
		<PPAlgo name="faceModel" />
		<PPAlgo name="HwBeautyPpAlgo" />
		<PPAlgo name="frontbokeh" />
		<PPAlgo name="fairlightV2" />
	</Mode>
	<Mode name="fairlight_fullzoom" switcher="0">
		<PPAlgo name="opticalzoom" />
		<PPAlgo name="PortraitEnhance" />
		<PPAlgo name="faceModel" />
		<PPAlgo name="HwBeautyPpAlgo" />
        <PPAlgo name="fairlightV2" />
	</Mode>
	<Mode name="fairlight_self_portrait" switcher="1">
		<PPAlgo name="PortraitEnhance" />
		<PPAlgo name="faceModel" />
		<PPAlgo name="HwBeautyPpAlgo" />
		<PPAlgo name="refocus" />
		<PPAlgo name="fairlightV2" />
	</Mode>
	<Mode name="edof_hidden" switcher="0">
	</Mode>
	<Mode name="frontbokeh_beauty" switcher="1">
		<PPAlgo name="frontbokehmask" />
        <PPAlgo name="frontbokeh" />
        <PPAlgo name="HwBeautyPpAlgo" />
	</Mode>
	<Mode name="frontbeautyBokehHdrplite" switcher="0">
		<PPAlgo name="RawhdrDsp" />
		<PPAlgo name="faceModel" />
		<PPAlgo name="hwFaceAttrPpAlgo" />
		<PPAlgo name="frontbokehmask" />
		<PPAlgo name="casioBeautyPpAlgo" />
		<PPAlgo name="frontbokeh" />
	</Mode>
	<Mode name="frontbokeh" switcher="0">
		<PPAlgo name="ctdetect" />
		<PPAlgo name="frontbokehmask" />
		<PPAlgo name="frontbokeh" />
	</Mode>
	<Mode name="sr" switcher="0">
	</Mode>
	<Mode name="fastshot" switcher="0">
		<PPAlgo name="sr" />
	</Mode>
	<Mode name="calib" switcher="0" >
		<PPAlgo name="calibinfo" />
		<PPAlgo name="formatconvert" />
		<PPAlgo name="davincidsp" />
		<PPAlgo name="formatconvert" />
	</Mode>
	<Mode name="macro" switcher="0">
		<PPAlgo name="sr" />
	</Mode>
	<Mode name="beauty_multidenoise" switcher="1">
		<PPAlgo name="multidenoisedsp" />
        <PPAlgo name="PortraitEnhance" />
        <PPAlgo name="HwBeautyPpAlgo" />
	</Mode>
	<Mode name="beauty_multidenoise_front" switcher="1">
		<PPAlgo name="multidenoisedsp" />
        <PPAlgo name="PortraitEnhance" />
        <PPAlgo name="HwBeautyPpAlgo" />
	</Mode>
	<Mode name="beauty_hdr_rear" switcher="1">
		<PPAlgo name="hdrdsp" />
        <PPAlgo name="PortraitEnhance" />
        <PPAlgo name="HwBeautyPpAlgo" />
        <PPAlgo name="sr" />
	</Mode>
	<Mode name="beauty_hdr_front" switcher="0">
		<PPAlgo name="frontbokehmask" />
		<PPAlgo name="hdrdsp" />
		<PPAlgo name="PortraitEnhance" />
		<PPAlgo name="faceModel" />
		<PPAlgo name="hwFaceAttrPpAlgo" />
		<PPAlgo name="davincidsp" />
		<PPAlgo name="casioBeautyPpAlgo" />
		<PPAlgo name="sr" />
	</Mode>
	<!-- Need open niceFoodAlgo for EMUI5 -->
	<Mode name="nicefood" switcher="1">
		<PPAlgo name="NiceFoodPpAlgo" />
	</Mode>
	<Mode name="mono" switcher="0">
	</Mode>
	<Mode name="monofilter" switcher="0">
	</Mode>
	<Mode name="bshutter" switcher="1">
		<PPAlgo name="pp_bshutter" />
	</Mode>
	<Mode name="rawBshutter" switcher="1">
		<PPAlgo name="RawBshutterDsp" />
	</Mode>
	<Mode name="HDFlash" switcher="0">
		<PPAlgo name="HDFlashDspPpAlgo" />
		<PPAlgo name="sr" />
	</Mode>
	<Mode name="laserFOVCali" switcher="0">
		<PPAlgo name="laserfovcalib" />
	</Mode>
	<Mode name="hdccalib" switcher="0">
		<PPAlgo name="HdcCalibPpAlgo" />
	</Mode>
	<Mode name="dcmmi" switcher="0">
		<PPAlgo name="DCMMIPpAlgo" />
	</Mode>
	<Mode name="oisvcmcalib" switcher="0">
		<PPAlgo name="OisVcmCalibPpAlgo" />
	</Mode>
	<Mode name="sdkdepthcalc" switcher="0">
		<PPAlgo name="dualdepth" />
	</Mode>
	<Mode name="fullzoomnornal" switcher="0">
		<PPAlgo name="fullzoom" />
		<PPAlgo name="PortraitEnhance" />
		<PPAlgo name="davincidsp" />
	</Mode>
	<Mode name="fullzoombeauty" switcher="0">
		<PPAlgo name="opticalzoom" />
		<PPAlgo name="PortraitEnhance" />
		<PPAlgo name="casioBeautyPpAlgo" />
	</Mode>
	<Mode name="opticalzoombokeh" switcher="0">
		<PPAlgo name="digitalzoom" />
		<PPAlgo name="dualdepth" />
		<PPAlgo name="refocus" />
	</Mode>
	<Mode name="opticalzoombokehoz" switcher="0">
		<PPAlgo name="faceModel" />
		<PPAlgo name="opticalzoom" />
		<PPAlgo name="dualdepth" />
		<PPAlgo name="davincidsp" />
		<PPAlgo name="refocus" />
	</Mode>
	<Mode name="superportrait_oz" switcher="0">
		<PPAlgo name="faceModel" />
		<PPAlgo name="opticalzoom" />
		<PPAlgo name="PortraitEnhance" />
		<PPAlgo name="dualdepth" />
		<PPAlgo name="davincidsp" />
		<PPAlgo name="refocus" />
	</Mode>
	<Mode name="rawzoombokeh" switcher="0">
		<PPAlgo name="fullzoom" />
		<PPAlgo name="dualdepth" />
		<PPAlgo name="refocus" />
	</Mode>
	<Mode name="rawsrhdrbokeh" switcher="0">
		<PPAlgo name="fullzoom" />
		<PPAlgo name="dualdepth" />
		<PPAlgo name="davincidsp" />
		<PPAlgo name="refocus" />
	</Mode>
	<Mode name="opticalzoombokehshelter" switcher="0">
		<PPAlgo name="digitalzoom" />
	</Mode>
	<Mode name="opticalzoomselfportrait" switcher="0">
		<PPAlgo name="dualdepth" />
		<PPAlgo name="PortraitEnhance" />
		<PPAlgo name="refocus" />
		<PPAlgo name="casioBeautyPpAlgo" />
	</Mode>
	<Mode name="rearRemosaic" switcher="0">
	</Mode>
	<Mode name="foreRemosaic" switcher="0">
	</Mode>
	<Mode name="flashmultidenoise" switcher="0">
		<PPAlgo name="multidenoisedsp" />
		<PPAlgo name="RedEyeRemovePpAlgo" />
	</Mode>
	<Mode name="flashsingle" switcher="0">
		<PPAlgo name="RedEyeRemovePpAlgo" />
	</Mode>
	<Mode name="segmentationMask" switcher="0" >
		<PPAlgo name="PortraitEnhance" />
		<PPAlgo name="segmentationmask" />
		<PPAlgo name="davincidsp" />
	</Mode>
	<Mode name="blueSkyHdrp" switcher="0">
		<PPAlgo name="RawhdrDsp" />
		<PPAlgo name="PortraitEnhance" />
		<PPAlgo name="segmentationmask" />
		<PPAlgo name="davincidsp" />
	</Mode>
	<Mode name="blueSkyHdrplite" switcher="0">
		<PPAlgo name="RawhdrDsp" />
		<PPAlgo name="PortraitEnhance" />
		<PPAlgo name="segmentationmask" />
		<PPAlgo name="davincidsp" />
	</Mode>
	<Mode name="blueSkyfullzoom" switcher="0">
		<PPAlgo name="fullzoom" />
		<PPAlgo name="PortraitEnhance" />
		<PPAlgo name="segmentationmask" />
		<PPAlgo name="davincidsp" />
	</Mode>
	<Mode name="QRFusionRaw" switcher="0">
		<PPAlgo name="qrfusionRyyb" />
		<PPAlgo name="PortraitEnhance" />
	</Mode>
	<Mode name="blueSkyQRFusion" switcher="0">
		<PPAlgo name="qrfusion" />
		<PPAlgo name="PortraitEnhance" />
		<PPAlgo name="segmentationmask" />
		<PPAlgo name="davincidsp" />
	</Mode>
	<Mode name="ellip" switcher="0">
		<PPAlgo name="ellip" />
		<PPAlgo name="PortraitEnhance" />
	</Mode>
	<Mode name="lowTemperature" switcher="0">
	</Mode>
	<Mode name="graycheck" switcher="1">
        <PPAlgo name="GrayCheckPpAlgo" />
    </Mode>
</PPConfig>
